Bug 250050 - lang/ruby27: Update to 2.7.2
Summary: lang/ruby27: Update to 2.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://www.ruby-lang.org/en/news/202...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-02 16:24 UTC by Yasuhiro Kimura
Modified: 2020-10-09 06:39 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Patch file (6.33 KB, patch)
2020-10-02 16:24 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2020-10-02 16:24:10 UTC
Created attachment 218468 [details]
Patch file

Update to 2.7.2.

Note: Ruby 2.7.2 itself includes security fix of webrick (CVE-2020-25613). But ruby ports don't include webrick gem. So this update is not security update and merge to quarterly branch is not necessary.
Comment 1 Koichiro Iwao freebsd_committer 2020-10-03 12:40:02 UTC
(In reply to Yasuhiro KIMURA from comment #0)
Comment 2 commit-hook freebsd_committer 2020-10-09 06:38:39 UTC
A commit references this bug:

Author: meta
Date: Fri Oct  9 06:37:59 UTC 2020
New revision: 551748
URL: https://svnweb.freebsd.org/changeset/ports/551748

Log:
  lang/ruby27: Update to 2.7.2

  PR:		250050
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Reviewed by:	meta (myself)
  Relnotes:	https://www.ruby-lang.org/en/news/2020/10/02/ruby-2-7-2-released/

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby27/distinfo
  head/lang/ruby27/pkg-plist
Comment 3 Koichiro Iwao freebsd_committer 2020-10-09 06:39:49 UTC
Committed, thanks!